Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2063355 - Review Request: python-ast-monitor - AST-Monitor is a wearable Raspberry Pi computer for cyclists
Summary: Review Request: python-ast-monitor - AST-Monitor is a wearable Raspberry Pi c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2022-03-11 21:28 UTC by Iztok Fister Jr.
Modified: 2022-04-06 09:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-06 09:50:19 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)

Description Iztok Fister Jr. 2022-03-11 21:28:40 UTC
Spec URL: https://raw.githubusercontent.com/firefly-cpp/rpm-reviews/ast-monitor/python-ast-monitor.spec
SRPM URL: https://github.com/firefly-cpp/rpm-reviews/raw/ast-monitor/python-ast-monitor-0.1.2-1.fc34.src.rpm
Description: AST-monitor is a low-cost and efficient embedded device for monitoring the realization of sport training sessions that is dedicated to monitor cycling training sessions. AST-Monitor is a part of Artificial Sport Trainer (AST) system.

Fedora Account System Username: iztokf

Comment 1 Ben Beasley 2022-03-14 16:45:07 UTC
There are just a couple of points, below, that I hope you will consider before I approve this package. Thanks!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- I am guessing that openant is not required in the upstream pyproject.toml
  because it is considered a weak or optional dependency, to be installed only
  if working with a certain type of sensor. A lot of upstreams use extras for
  this kind of thing. You might consider that, but it’s not required.

    https://fedoraproject.org/wiki/Changes/PythonExtras#The_problem

  Since openant is currently not in the upstream package metadata at all, it
  won’t be installed with python3-ast-monitor. I think it should be at least a
  weak dependency:

    Recommends:     python3dist(openant)

  Do you agree?

- I think the hidden directory
  /usr/share/doc/python-ast-monitor-doc/examples/.vscode flagged by rpmlint,
  containing VSCode editor configuration for developing the examples, doesn’t
  make sense to package and should be removed. Consider:

    %prep
    %autosetup -n %{pretty_name}-%{version}
    rm -rvf examples/.vscode
    […]

===== Notes =====

- Based on the license breakdown comment, if you package the documentation in
  the future, then the -doc subpackage (only) will need to have:

    License:        MIT and CC-BY-SA

  Since the image is not currently packaged, this isn’t needed yet.

- While it doesn’t matter much since the corresponding build conditional is
  disabled, this isn’t needed:

    BuildRequires:  %{py3_dist sphinx-rtd-theme}

  Since you would be building PDF documentation, and this is an HTML theme, it
  would be needed only if something from the theme module were explicitly
  imported in conf.py, rather than just specified in “html_theme.” In the
  projects I’ve seen, somewhat less than half actually need the HTML theme for
  this reason when building only PDF docs.

  In this package, not only is nothing explicitly imported from
  sphinx_rtd_theme, but it isn’t even needed for the HTML docs, let alone the
  PDF ones. While docs/installation.rst and the poetry.lock file reference
  sphinx-rtd-theme, inspecting docs/conf.py reveals that the built-in alabaster
  theme is used instead. Maybe the readthedocs theme was used in the past.

  I don’t see any reference to sphinxcontrib-bibtex in the sources, either. It
  may also be unnecessary as a documentation build dependency.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "*No copyright* MIT License", "Unknown or
     generated". 37 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/2063355-python-ast-
     monitor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

     It seems like python3dist(openant) should be at least a weak dependency.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.

     Documentation is not built; if it were, it would be in a -doc package.

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

     (except suggested weak dependency on python3dist(openant))

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-ast-monitor
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/firefly-cpp/AST-Monitor/archive/0.1.2/AST-Monitor-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 15d86337df1d38dc7a436c8c314928cf69ed74d76aeec890eae31e8bad554c23
  CHECKSUM(SHA256) upstream package : 15d86337df1d38dc7a436c8c314928cf69ed74d76aeec890eae31e8bad554c23


Requires
--------
python3-ast-monitor (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(geopy)
    python3.10dist(matplotlib)
    python3.10dist(pyqt-feedback-flow)
    python3.10dist(pyqt5)
    python3.10dist(sport-activities-features)
    python3.10dist(tcxreader)

python-ast-monitor-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-ast-monitor:
    python-ast-monitor
    python3-ast-monitor
    python3.10-ast-monitor
    python3.10dist(ast-monitor)
    python3dist(ast-monitor)

python-ast-monitor-doc:
    python-ast-monitor-doc



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2063355
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Haskell, SugarActivity, fonts, Ocaml, R, Java, Perl, PHP, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH
============================ rpmlint session starts ============================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

python-ast-monitor-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-ast-monitor-doc/examples/.vscode
python-ast-monitor-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-ast-monitor-doc/examples/.vscode
python-ast-monitor-doc.noarch: W: description-shorter-than-summary
 3 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.9 s

Comment 3 Ben Beasley 2022-03-18 16:33:20 UTC
Sorry for the delay… package approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== Notes =====

- You didn’t have to remove the license breakdown comment, but since the
  CC-BY-SA file is not packaged, it’s OK that you did so. Note that, if you do
  package the docs, only the -doc subpackage will need to be (MIT and CC-BY-SA).

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "*No copyright* MIT License", "Unknown or
     generated". 36 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/2063355-python-ast-
     monitor/2063355-python-ast-monitor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-ast-monitor
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/firefly-cpp/AST-Monitor/archive/0.1.2/AST-Monitor-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 15d86337df1d38dc7a436c8c314928cf69ed74d76aeec890eae31e8bad554c23
  CHECKSUM(SHA256) upstream package : 15d86337df1d38dc7a436c8c314928cf69ed74d76aeec890eae31e8bad554c23


Requires
--------
python3-ast-monitor (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(geopy)
    python3.10dist(matplotlib)
    python3.10dist(pyqt-feedback-flow)
    python3.10dist(pyqt5)
    python3.10dist(sport-activities-features)
    python3.10dist(tcxreader)

python-ast-monitor-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-ast-monitor:
    python-ast-monitor
    python3-ast-monitor
    python3.10-ast-monitor
    python3.10dist(ast-monitor)
    python3dist(ast-monitor)

python-ast-monitor-doc:
    python-ast-monitor-doc



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2063355
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Haskell, Perl, Java, Ocaml, fonts, SugarActivity, C/C++, R, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH
============================ rpmlint session starts ============================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

python-ast-monitor-doc.noarch: W: description-shorter-than-summary
 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.9 s

Comment 4 Gwyn Ciesla 2022-03-18 21:00:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ast-monitor


Note You need to log in before you can comment on or make changes to this bug.